<?php
defined('ABSPATH') or die("No script kiddies please!");
if ((isset($_GET['er-id']) && $_GET['er-id'] != '') && (isset($_GET['action']) && $_GET['action'] == 'edit')) {
    $er_id = intval(sanitize_text_field($_GET['er-id']));
    $edit = true;
    $review_form_templates = $this->erp_pull_review_form_template_by_id($er_id);
    foreach ($review_form_templates as $key => $value) {
        $reviewer_template_name = $value->review_template_name;
        $reviewer_template_structure = unserialize($value->reviewer_template_structure);
        $reviewer_template_settings = unserialize($value->reviewer_template_settings);
        $review_form_setting_parameter = unserialize($value->review_form_setting_parameter);
        $erp_review_form_admin_alert_email_structure = unserialize($value->review_form_email_formats);
    }
} else if (isset($_GET['er-id']) && $_GET['er-id'] == '') {
    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&message=7');
}
?>
<div class="wrap clearfix">
    <div class="erp-add-set-wrapper clearfix">
        <div class="erp-panel">
            <div class="erp-manage-header">               
                <div class="erp-boards-wrapper">
                    <div class="erp-tab-title">
                        <h3><?php echo ( isset($_GET['page']) && $_GET['page'] == 'everest-review-new-form' ) ? __('Add New User Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN) : __('Edit User Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></h3>
                    </div>
                    <div class="erp-general-options postbox">    
                        <form action="<?php echo admin_url() . 'admin-post.php' ?>" method='post' id="er_form" novalidate>
                            <input type="hidden" name="action" value="erp_save_form_template_options" />
                            <?php
                            wp_nonce_field('erp_nonce_form_template_save_settings', 'erp_add_nonce_form_template_save_settings');
                            include(EVEREST_REVIEW_LITE_FILE_ROOT_DIR . '/inc/backend/form-setting-fields/erp-review-form-settings.php');
                            ?>
                            <input type="hidden" value="<?php echo isset($er_id) && !empty($er_id) ? esc_attr($er_id) : ''; ?>" name="er_id"/>
                            <div class="erp-submit-wrap">
                                <ul class="erp-submit-ind-sec">
                                    <li>
                                        <input class="button-primary erp-save-button" type="submit" name="erp_form_template_save_settings" value="<?php _e('Save', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>" />
                                    </li>
                                    <li>
                                        <a href="<?php echo admin_url('admin.php?page=everest-review-form'); ?>">
                                            <input class="button-primary" type="button" value="<?php _e('Cancel', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>" />
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </form>
                    </div>    
                </div>
            </div>
        </div>
    </div>
</div>
